%define	name	uptimed
%define	version	0.3.10
%define rel	1
%define	release	%mkrel %rel

%define	major	0
%define	libname	%mklibname %{name} %{major}

Summary:	A daemon to record and keep track of system uptimes
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		http://podgorny.cz/moin/Uptimed
Source0:	http://podgorny.cz/uptimed/releases/%{name}-%{version}.tar.bz2
Source1:	%{name}.init
Patch0:		uptimed-0.3.7-makefile.patch
BuildRequires:	automake1.9
Requires(post):	rpm-helper
Requires(preun): rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Uptimed is an uptime record daemon keeping track of the highest 
uptimes the system ever had. Instead of using a pid file to 
keep sessions apart from each other, it uses the system boot 
time. 

Uptimed has the ability to inform you of records and milestones 
though syslog and e-mail, and comes with a console front end to 
parse the records, which can also easily be used to show your 
records on your Web page.

%package -n	%{libname}
Summary:	Generic libraries need by uptimed
Group:		System/Libraries
Provides:	lib%{name} = %{version}

%description -n	%{libname}
Generic libraries needed by uptimed.

%package -n	%{libname}-devel
Summary:	Generic libraries need by uptimed
Group:		Development/Other
Provides:	lib%{name}-devel = %{version}
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n %{libname}-devel
Development files for uptimed.

%prep
%setup -q
%patch0 -p0 -b .makefile
cp -a %SOURCE1 .

# this was faster, and easier...
touch NEWS

%build
aclocal-1.9
automake-1.9
%configure2_5x
%make

%install
rm -rf %{buldroot}
%makeinstall_std 

install -m755 uptimed.init -D %{buildroot}%{_initrddir}/uptimed
mv %{buildroot}%{_sysconfdir}/uptimed.conf-dist %{buildroot}%{_sysconfdir}/uptimed.conf

%post
install -m 755 -d %{_var}/spool/uptimed
%_post_service uptimed

%post -n %{libname} -p /sbin/ldconfig

%preun
%_preun_service uptimed

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CREDITS ChangeLog INSTALL.cgi INSTALL.upgrade README TODO sample-cgi/
%config(noreplace) %{_sysconfdir}/uptimed.conf
%{_initrddir}/uptimed
%{_sbindir}/uptimed
%{_bindir}/uprecords
%{_mandir}/*/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libuptimed.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libuptimed.so
%{_libdir}/libuptimed.a
%{_libdir}/libuptimed.la


%changelog
* Wed Feb 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.10-1mdv2007.0
+ Revision: 123641
- new version

  + Lenny Cartier <lenny@mandriva.com>
    - Import uptimed



* Mon Jul 17 2006 Anssi Hannula <anssi@mandriva.org> 0.3.7-1mdv2007.0
- 0.3.7
- update url
- mkrel
- initscript as source, not as a patch
- parallelize initscript
- drop modifying rc.sysinit, use locks in initscript instead
- initscript is not config file
- use %%_post_service and %%_preun_service
- drop unuseful documentation
- patch Makefile.am instead of .in and use automake

* Mon Feb 21 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.3.3-2mdk
- fixed requires-on-release

* Tue Jun 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Mon Jun 07 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.2-1mdk
- New release 0.3.2
- cosmetics

* Mon Jan 19 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.1-2mdk
- remove uneed requires

* Mon Jan 19 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.1-1mdk
- 0.3.1
- mklibname / make a devel package
- cleanup

* Fri Feb 14 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.3.0-3mdk
- sorry, my fault about versioning of rpm build number

* Fri Feb 14 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.3.0-2mdk
- ah, libification now
- some spec cleanup

* Fri Feb 14 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.3.0-1mdk
- why isn't this package in contrib?:)
- used original spec file with small changes
- totally rewrited SysV start script
- libification
